Subject: Re: tg3: link is permanently down after ifdown and ifup

From: Felix Radensky <[email-masked]>
Date: Mon, 21 Dec 2009 23:52:22 +0200

Hi, Matt

Matt Carlson wrote:
>>
>> There was another problem in 2.6.32 that I reported, namely kernel soft 
>> lockup
>> when link is synchronized at 100Mbit/sec and tg3 with 57780 goes down . Were
>> you able to reproduce it ?
>>     
>
> No, but perhaps I don't understand the problem well enough.  Are you
> saying that you encounter the problem when you run
> 'ifconfig bcm57780 down', or is it that losing link itself causes the
> problem?
>
>   
It is enough to connect the NIC to 10/100 switch and run 'ifconfig ethX 
down' to reproduce
the problem.

Thanks.

Felix.